Index: palm/trunk/SOURCE/module_interface.f90
===================================================================
--- palm/trunk/SOURCE/module_interface.f90	(revision 3763)
+++ palm/trunk/SOURCE/module_interface.f90	(revision 3766)
@@ -152,313 +157,313 @@
               chem_statistics,                                                 &
               chem_rrd_local,                                                  &
-              chem_wrd_local
-
-   USE flight_mod,                                                             &
-       ONLY:  flight_parin,                                                    &
-              flight_header,                                                   &
-              flight_init,                                                     &
-              flight_rrd_global,                                               &
-              flight_wrd_global
-
-   USE gust_mod,                                                               &
-       ONLY:  gust_module_enabled,                                             &
-              gust_parin,                                                      &
-              gust_check_parameters,                                           &
-              gust_check_data_output_pr,                                       &
-              gust_check_data_output,                                          &
-              gust_init_arrays,                                                &
-              gust_init,                                                       &
-              gust_header,                                                     &
-              gust_actions,                                                    &
-              gust_swap_timelevel,                                             &
-              gust_3d_data_averaging,                                          &
-              gust_data_output_2d,                                             &
-              gust_data_output_3d,                                             &
-              gust_statistics,                                                 &
-              gust_rrd_global,                                                 &
-              gust_wrd_global,                                                 &
-              gust_rrd_local,                                                  &
-              gust_wrd_local
-
-   USE indoor_model_mod,                                                       &
-       ONLY:  im_parin,                                                        &
-              im_check_data_output,                                            &
-              im_check_parameters,                                             &
-              im_data_output_3d,                                               &
-              im_init
-
-   USE land_surface_model_mod,                                                 &
-       ONLY:  lsm_parin,                                                       &
-              lsm_check_parameters,                                            &
-              lsm_check_data_output_pr,                                        &
-              lsm_check_data_output,                                           &
-              lsm_init_arrays,                                                 &
-              lsm_init,                                                        &
-              lsm_header,                                                      &
-              lsm_swap_timelevel,                                              &
-              lsm_3d_data_averaging,                                           &
-              lsm_data_output_2d,                                              &
-              lsm_rrd_local,                                                   &
-              lsm_wrd_local
-
-   USE lsf_nudging_mod,                                                        &
-       ONLY:  lsf_nudging_check_parameters,                                    &
-              lsf_nudging_check_data_output_pr,                                &
-              lsf_init,                                                        &
-              nudge_init,                                                      &
-              lsf_nudging_header
-
-   USE multi_agent_system_mod,                                                 &
-       ONLY:  mas_parin
-
-   USE nesting_offl_mod,                                                       &
-       ONLY:  nesting_offl_parin,                                              &
-              nesting_offl_check_parameters,                                   &
-              nesting_offl_header
-
-   USE ocean_mod,                                                              &
-       ONLY:  ocean_parin,                                                     &
-              ocean_check_parameters,                                          &
-              ocean_check_data_output_pr,                                      &
-              ocean_check_data_output,                                         &
-              ocean_init_arrays,                                               &
-              ocean_init,                                                      &
-              ocean_header,                                                    &
-              ocean_swap_timelevel,                                            &
-              ocean_3d_data_averaging,                                         &
-              ocean_data_output_2d,                                            &
-              ocean_data_output_3d,                                            &
-              ocean_rrd_global,                                                &
-              ocean_wrd_global,                                                &
-              ocean_rrd_local,                                                 &
-              ocean_wrd_local
-
-   USE plant_canopy_model_mod,                                                 &
-        ONLY: pcm_parin,                                                       &
-              pcm_check_parameters,                                            &
-              pcm_check_data_output,                                           &
-              pcm_init,                                                        &
-              pcm_header,                                                      &
-              pcm_data_output_3d
-
-   USE radiation_model_mod,                                                    &
-       ONLY:  radiation,                                                       &
-              radiation_parin,                                                 &
-              radiation_check_parameters,                                      &
-              radiation_check_data_output_ts,                                  &
-              radiation_check_data_output_pr,                                  &
-              radiation_check_data_output,                                     &
-              radiation_init,                                                  &
-              radiation_header,                                                &
-              radiation_3d_data_averaging,                                     &
-              radiation_data_output_2d,                                        &
-              radiation_data_output_3d,                                        &
-              radiation_rrd_local,                                             &
-              radiation_wrd_local
-
-   USE salsa_mod,                                                              &
-       ONLY:  salsa_parin,                                                     &
-              salsa_check_parameters,                                          &
-              salsa_check_data_output,                                         &
-              salsa_init_arrays,                                               &
-              salsa_init,                                                      &
-              salsa_header,                                                    &
-              salsa_swap_timelevel,                                            &
-              salsa_3d_data_averaging,                                         &
-              salsa_data_output_2d,                                            &
-              salsa_data_output_3d,                                            &
-              salsa_rrd_local,                                                 &
-              salsa_wrd_local
-
-   USE spectra_mod,                                                            &
-       ONLY:  calculate_spectra,                                               &
-              spectra_parin,                                                   &
-              spectra_check_parameters,                                        &
-              spectra_header
-
-   USE surface_data_output_mod,                                                &
-       ONLY:  surface_data_output_parin,                                       &
-              surface_data_output_check_parameters,                            &
-              surface_data_output_init_arrays,                                 &
-              surface_data_output_rrd_local,                                   &
-              surface_data_output_rrd_global,                                  &
-              surface_data_output_wrd_local,                                   &
-              surface_data_output_wrd_global
-
-   USE synthetic_turbulence_generator_mod,                                     &
-       ONLY:  stg_parin,                                                       &
-              stg_check_parameters,                                            &
-              stg_header,                                                      &
-              stg_rrd_global,                                                  &
-              stg_wrd_global
-
-   USE urban_surface_mod,                                                      &
-       ONLY:  usm_parin,                                                       &
-              usm_check_parameters,                                            &
-              usm_check_data_output,                                           &
-              usm_init_arrays,                                                 &
-              usm_init,                                                        &
-              usm_swap_timelevel,                                              &
-              usm_3d_data_averaging,                                           &
-              usm_rrd_local,                                                   &
-              usm_wrd_local
-
-   USE user,                                                                   &
-       ONLY:  user_module_enabled,                                             &
-              user_parin,                                                      &
-              user_check_parameters,                                           &
-              user_check_data_output_ts,                                       &
-              user_check_data_output_pr,                                       &
-              user_check_data_output,                                          &
-              user_init,                                                       &
-              user_init_arrays,                                                &
-              user_header,                                                     &
-              user_actions,                                                    &
-              user_3d_data_averaging,                                          &
-              user_data_output_2d,                                             &
-              user_data_output_3d,                                             &
-              user_statistics,                                                 &
-              user_rrd_global,                                                 &
-              user_rrd_local,                                                  &
-              user_wrd_global,                                                 &
-              user_wrd_local,                                                  &
-              user_last_actions
-
-   USE virtual_measurement_mod,                                                &
-       ONLY:  vm_check_parameters,                                             &
-              vm_init,                                                         &
-              vm_last_actions,                                                 &
-              vm_parin
-
-   USE wind_turbine_model_mod,                                                 &
-       ONLY:  wtm_parin,                                                       &
-              wtm_check_parameters,                                            &
-              wtm_init_arrays,                                                 &
-              wtm_init,                                                        &
-              wtm_rrd_global,                                                  &
-              wtm_wrd_global
-
-   IMPLICIT NONE
-
-   PRIVATE
-
-!
-!- Public functions
-   PUBLIC                                                                      &
-      module_interface_parin,                                                  &
-      module_interface_check_parameters,                                       &
-      module_interface_check_data_output_ts,                                   &
-      module_interface_check_data_output_pr,                                   &
-      module_interface_check_data_output,                                      &
-      module_interface_init_masks,                                             &
-      module_interface_define_netcdf_grid,                                     &
-      module_interface_init_arrays,                                            &
-      module_interface_init,                                                   &
-      module_interface_init_checks,                                            &
-      module_interface_header,                                                 &
-      module_interface_actions,                                                &
-      module_interface_swap_timelevel,                                         &
-      module_interface_3d_data_averaging,                                      &
-      module_interface_data_output_2d,                                         &
-      module_interface_data_output_3d,                                         &
-      module_interface_statistics,                                             &
-      module_interface_rrd_global,                                             &
-      module_interface_wrd_global,                                             &
-      module_interface_rrd_local,                                              &
-      module_interface_wrd_local,                                              &
-      module_interface_last_actions
-
-
-   INTERFACE module_interface_parin
-      MODULE PROCEDURE module_interface_parin
-   END INTERFACE module_interface_parin
-
-   INTERFACE module_interface_check_parameters
-      MODULE PROCEDURE module_interface_check_parameters
-   END INTERFACE module_interface_check_parameters
-
-   INTERFACE module_interface_check_data_output_ts
-      MODULE PROCEDURE module_interface_check_data_output_ts
-   END INTERFACE module_interface_check_data_output_ts
-
-   INTERFACE module_interface_check_data_output_pr
-      MODULE PROCEDURE module_interface_check_data_output_pr
-   END INTERFACE module_interface_check_data_output_pr
-
-   INTERFACE module_interface_check_data_output
-      MODULE PROCEDURE module_interface_check_data_output
-   END INTERFACE module_interface_check_data_output
-
-   INTERFACE module_interface_init_masks
-      MODULE PROCEDURE module_interface_init_masks
-   END INTERFACE module_interface_init_masks
-
-   INTERFACE module_interface_define_netcdf_grid
-      MODULE PROCEDURE module_interface_define_netcdf_grid
-   END INTERFACE module_interface_define_netcdf_grid
-
-   INTERFACE module_interface_init_arrays
-      MODULE PROCEDURE module_interface_init_arrays
-   END INTERFACE module_interface_init_arrays
-
-   INTERFACE module_interface_init
-      MODULE PROCEDURE module_interface_init
-   END INTERFACE module_interface_init
-
-   INTERFACE module_interface_init_checks
-      MODULE PROCEDURE module_interface_init_checks
-   END INTERFACE module_interface_init_checks
-
-   INTERFACE module_interface_header
-      MODULE PROCEDURE module_interface_header
-   END INTERFACE module_interface_header
-
-   INTERFACE module_interface_actions
-      MODULE PROCEDURE module_interface_actions
-      MODULE PROCEDURE module_interface_actions_ij
-   END INTERFACE module_interface_actions
-
-   INTERFACE module_interface_swap_timelevel
-      MODULE PROCEDURE module_interface_swap_timelevel
-   END INTERFACE module_interface_swap_timelevel
-
-   INTERFACE module_interface_3d_data_averaging
-      MODULE PROCEDURE module_interface_3d_data_averaging
-   END INTERFACE module_interface_3d_data_averaging
-
-   INTERFACE module_interface_data_output_2d
-      MODULE PROCEDURE module_interface_data_output_2d
-   END INTERFACE module_interface_data_output_2d
-
-   INTERFACE module_interface_data_output_3d
-      MODULE PROCEDURE module_interface_data_output_3d
-   END INTERFACE module_interface_data_output_3d
-
-   INTERFACE module_interface_statistics
-      MODULE PROCEDURE module_interface_statistics
-   END INTERFACE module_interface_statistics
-
-   INTERFACE module_interface_rrd_global
-      MODULE PROCEDURE module_interface_rrd_global
-   END INTERFACE module_interface_rrd_global
-
-   INTERFACE module_interface_wrd_global
-      MODULE PROCEDURE module_interface_wrd_global
-   END INTERFACE module_interface_wrd_global
-
-   INTERFACE module_interface_rrd_local
-      MODULE PROCEDURE module_interface_rrd_local
-   END INTERFACE module_interface_rrd_local
-
-   INTERFACE module_interface_wrd_local
-      MODULE PROCEDURE module_interface_wrd_local
-   END INTERFACE module_interface_wrd_local
-
-   INTERFACE module_interface_last_actions
-      MODULE PROCEDURE module_interface_last_actions
-   END INTERFACE module_interface_last_actions
-
-
-CONTAINS
+               chem_wrd_local
+
+    USE flight_mod,                                                            &
+        ONLY:  flight_parin,                                                   &
+               flight_header,                                                  &
+               flight_init,                                                    &
+               flight_rrd_global,                                              &
+               flight_wrd_global
+
+    USE gust_mod,                                                              &
+        ONLY:  gust_module_enabled,                                            &
+               gust_parin,                                                     &
+               gust_check_parameters,                                          &
+               gust_check_data_output_pr,                                      &
+               gust_check_data_output,                                         &
+               gust_init_arrays,                                               &
+               gust_init,                                                      &
+               gust_header,                                                    &
+               gust_actions,                                                   &
+               gust_swap_timelevel,                                            &
+               gust_3d_data_averaging,                                         &
+               gust_data_output_2d,                                            &
+               gust_data_output_3d,                                            &
+               gust_statistics,                                                &
+               gust_rrd_global,                                                &
+               gust_wrd_global,                                                &
+               gust_rrd_local,                                                 &
+               gust_wrd_local
+
+    USE indoor_model_mod,                                                      &
+        ONLY:  im_parin,                                                       &
+               im_check_data_output,                                           &
+               im_check_parameters,                                            &
+               im_data_output_3d,                                              &
+               im_init
+
+    USE land_surface_model_mod,                                                &
+        ONLY:  lsm_parin,                                                      &
+               lsm_check_parameters,                                           &
+               lsm_check_data_output_pr,                                       &
+               lsm_check_data_output,                                          &
+               lsm_init_arrays,                                                &
+               lsm_init,                                                       &
+               lsm_header,                                                     &
+               lsm_swap_timelevel,                                             &
+               lsm_3d_data_averaging,                                          &
+               lsm_data_output_2d,                                             &
+               lsm_rrd_local,                                                  &
+               lsm_wrd_local
+
+    USE lsf_nudging_mod,                                                       &
+        ONLY:  lsf_nudging_check_parameters,                                   &
+               lsf_nudging_check_data_output_pr,                               &
+               lsf_init,                                                       &
+               nudge_init,                                                     &
+               lsf_nudging_header
+
+    USE multi_agent_system_mod,                                                &
+        ONLY:  mas_parin
+
+    USE nesting_offl_mod,                                                      &
+        ONLY:  nesting_offl_parin,                                             &
+               nesting_offl_check_parameters,                                  &
+               nesting_offl_header
+
+    USE ocean_mod,                                                             &
+        ONLY:  ocean_parin,                                                    &
+               ocean_check_parameters,                                         &
+               ocean_check_data_output_pr,                                     &
+               ocean_check_data_output,                                        &
+               ocean_init_arrays,                                              &
+               ocean_init,                                                     &
+               ocean_header,                                                   &
+               ocean_swap_timelevel,                                           &
+               ocean_3d_data_averaging,                                        &
+               ocean_data_output_2d,                                           &
+               ocean_data_output_3d,                                           &
+               ocean_rrd_global,                                               &
+               ocean_wrd_global,                                               &
+               ocean_rrd_local,                                                &
+               ocean_wrd_local
+
+    USE plant_canopy_model_mod,                                                &
+         ONLY: pcm_parin,                                                      &
+               pcm_check_parameters,                                           &
+               pcm_check_data_output,                                          &
+               pcm_init,                                                       &
+               pcm_header,                                                     &
+               pcm_data_output_3d
+
+    USE radiation_model_mod,                                                   &
+        ONLY:  radiation,                                                      &
+               radiation_parin,                                                &
+               radiation_check_parameters,                                     &
+               radiation_check_data_output_ts,                                 &
+               radiation_check_data_output_pr,                                 &
+               radiation_check_data_output,                                    &
+               radiation_init,                                                 &
+               radiation_header,                                               &
+               radiation_3d_data_averaging,                                    &
+               radiation_data_output_2d,                                       &
+               radiation_data_output_3d,                                       &
+               radiation_rrd_local,                                            &
+               radiation_wrd_local
+
+    USE salsa_mod,                                                             &
+        ONLY:  salsa_parin,                                                    &
+               salsa_check_parameters,                                         &
+               salsa_check_data_output,                                        &
+               salsa_init_arrays,                                              &
+               salsa_init,                                                     &
+               salsa_header,                                                   &
+               salsa_swap_timelevel,                                           &
+               salsa_3d_data_averaging,                                        &
+               salsa_data_output_2d,                                           &
+               salsa_data_output_3d,                                           &
+               salsa_rrd_local,                                                &
+               salsa_wrd_local
+
+    USE spectra_mod,                                                           &
+        ONLY:  calculate_spectra,                                              &
+               spectra_parin,                                                  &
+               spectra_check_parameters,                                       &
+               spectra_header
+
+    USE surface_data_output_mod,                                               &
+        ONLY:  surface_data_output_parin,                                      &
+               surface_data_output_check_parameters,                           &
+               surface_data_output_init_arrays,                                &
+               surface_data_output_rrd_local,                                  &
+               surface_data_output_rrd_global,                                 &
+               surface_data_output_wrd_local,                                  &
+               surface_data_output_wrd_global
+
+    USE synthetic_turbulence_generator_mod,                                    &
+        ONLY:  stg_parin,                                                      &
+               stg_check_parameters,                                           &
+               stg_header,                                                     &
+               stg_rrd_global,                                                 &
+               stg_wrd_global
+
+    USE urban_surface_mod,                                                     &
+        ONLY:  usm_parin,                                                      &
+               usm_check_parameters,                                           &
+               usm_check_data_output,                                          &
+               usm_init_arrays,                                                &
+               usm_init,                                                       &
+               usm_swap_timelevel,                                             &
+               usm_3d_data_averaging,                                          &
+               usm_rrd_local,                                                  &
+               usm_wrd_local
+
+    USE user,                                                                  &
+        ONLY:  user_module_enabled,                                            &
+               user_parin,                                                     &
+               user_check_parameters,                                          &
+               user_check_data_output_ts,                                      &
+               user_check_data_output_pr,                                      &
+               user_check_data_output,                                         &
+               user_init,                                                      &
+               user_init_arrays,                                               &
+               user_header,                                                    &
+               user_actions,                                                   &
+               user_3d_data_averaging,                                         &
+               user_data_output_2d,                                            &
+               user_data_output_3d,                                            &
+               user_statistics,                                                &
+               user_rrd_global,                                                &
+               user_rrd_local,                                                 &
+               user_wrd_global,                                                &
+               user_wrd_local,                                                 &
+               user_last_actions
+
+    USE virtual_measurement_mod,                                               &
+        ONLY:  vm_check_parameters,                                            &
+               vm_init,                                                        &
+               vm_last_actions,                                                &
+               vm_parin
+
+    USE wind_turbine_model_mod,                                                &
+        ONLY:  wtm_parin,                                                      &
+               wtm_check_parameters,                                           &
+               wtm_init_arrays,                                                &
+               wtm_init,                                                       &
+               wtm_rrd_global,                                                 &
+               wtm_wrd_global
+
+    IMPLICIT NONE
+
+    PRIVATE
+
+!
+!-- Public functions
+    PUBLIC                                                                     &
+       module_interface_parin,                                                 &
+       module_interface_check_parameters,                                      &
+       module_interface_check_data_output_ts,                                  &
+       module_interface_check_data_output_pr,                                  &
+       module_interface_check_data_output,                                     &
+       module_interface_init_masks,                                            &
+       module_interface_define_netcdf_grid,                                    &
+       module_interface_init_arrays,                                           &
+       module_interface_init,                                                  &
+       module_interface_init_checks,                                           &
+       module_interface_header,                                                &
+       module_interface_actions,                                               &
+       module_interface_swap_timelevel,                                        &
+       module_interface_3d_data_averaging,                                     &
+       module_interface_data_output_2d,                                        &
+       module_interface_data_output_3d,                                        &
+       module_interface_statistics,                                            &
+       module_interface_rrd_global,                                            &
+       module_interface_wrd_global,                                            &
+       module_interface_rrd_local,                                             &
+       module_interface_wrd_local,                                             &
+       module_interface_last_actions
+
+
+    INTERFACE module_interface_parin
+       MODULE PROCEDURE module_interface_parin
+    END INTERFACE module_interface_parin
+
+    INTERFACE module_interface_check_parameters
+       MODULE PROCEDURE module_interface_check_parameters
+    END INTERFACE module_interface_check_parameters
+
+    INTERFACE module_interface_check_data_output_ts
+       MODULE PROCEDURE module_interface_check_data_output_ts
+    END INTERFACE module_interface_check_data_output_ts
+
+    INTERFACE module_interface_check_data_output_pr
+       MODULE PROCEDURE module_interface_check_data_output_pr
+    END INTERFACE module_interface_check_data_output_pr
+
+    INTERFACE module_interface_check_data_output
+       MODULE PROCEDURE module_interface_check_data_output
+    END INTERFACE module_interface_check_data_output
+
+    INTERFACE module_interface_init_masks
+       MODULE PROCEDURE module_interface_init_masks
+    END INTERFACE module_interface_init_masks
+
+    INTERFACE module_interface_define_netcdf_grid
+       MODULE PROCEDURE module_interface_define_netcdf_grid
+    END INTERFACE module_interface_define_netcdf_grid
+
+    INTERFACE module_interface_init_arrays
+       MODULE PROCEDURE module_interface_init_arrays
+    END INTERFACE module_interface_init_arrays
+
+    INTERFACE module_interface_init
+       MODULE PROCEDURE module_interface_init
+    END INTERFACE module_interface_init
+
+    INTERFACE module_interface_init_checks
+       MODULE PROCEDURE module_interface_init_checks
+    END INTERFACE module_interface_init_checks
+
+    INTERFACE module_interface_header
+       MODULE PROCEDURE module_interface_header
+    END INTERFACE module_interface_header
+
+    INTERFACE module_interface_actions
+       MODULE PROCEDURE module_interface_actions
+       MODULE PROCEDURE module_interface_actions_ij
+    END INTERFACE module_interface_actions
+
+    INTERFACE module_interface_swap_timelevel
+       MODULE PROCEDURE module_interface_swap_timelevel
+    END INTERFACE module_interface_swap_timelevel
+
+    INTERFACE module_interface_3d_data_averaging
+       MODULE PROCEDURE module_interface_3d_data_averaging
+    END INTERFACE module_interface_3d_data_averaging
+
+    INTERFACE module_interface_data_output_2d
+       MODULE PROCEDURE module_interface_data_output_2d
+    END INTERFACE module_interface_data_output_2d
+
+    INTERFACE module_interface_data_output_3d
+       MODULE PROCEDURE module_interface_data_output_3d
+    END INTERFACE module_interface_data_output_3d
+
+    INTERFACE module_interface_statistics
+       MODULE PROCEDURE module_interface_statistics
+    END INTERFACE module_interface_statistics
+
+    INTERFACE module_interface_rrd_global
+       MODULE PROCEDURE module_interface_rrd_global
+    END INTERFACE module_interface_rrd_global
+
+    INTERFACE module_interface_wrd_global
+       MODULE PROCEDURE module_interface_wrd_global
+    END INTERFACE module_interface_wrd_global
+
+    INTERFACE module_interface_rrd_local
+       MODULE PROCEDURE module_interface_rrd_local
+    END INTERFACE module_interface_rrd_local
+
+    INTERFACE module_interface_wrd_local
+       MODULE PROCEDURE module_interface_wrd_local
+    END INTERFACE module_interface_wrd_local
+
+    INTERFACE module_interface_last_actions
+       MODULE PROCEDURE module_interface_last_actions
+    END INTERFACE module_interface_last_actions
+
+
+ CONTAINS
 
 
